[Lucid] need little modify the ubiquity-hooks/30accessibility script with gdm accessibility setting configuration part in Blindness profile

Bug #551515 reported by Attila Hammer on 2010-03-30
66
This bug affects 45 people
Affects Status Importance Assigned to Milestone
casper (Ubuntu)
Undecided
Unassigned
gnome-orca (Ubuntu)
Undecided
Luke Yelavich

Bug Description

Binary package hint: casper

Dear Developers,

In Lucid, some blind users lot of time wroted following problem in Ubuntu-Accessibility list:
When GDM is upgraded an installed system, ubiquity-casper 30accessibility script preconfigured GDM accessible login settings during installation is restored with default value. This is resulting problems with next restart, because blind users impossible use accessible GDM login feature before not setting manual all important GDM related gconf settings and restart the system.
The problem related with following:
Now, in blindness profile, gct_gdm using following method to configure GDM accessible login feature:
gct_gdm() {
    chroot /target sudo -u gdm gconftool-2 "$@"
                        gct_gdm -s -t bool /desktop/gnome/interface/accessibility true
                        gct_gdm -s -t bool /desktop/gnome/applications/at/visual/startup true
                        gct_gdm -s -t string /desktop/gnome/applications/at/visual/exec orca
                        gct_gdm -s -t bool /desktop/gnome/applications/at/screen_reader_enabled true

So, the ubiquity-hooks/30accessibility script set this feature related settings with gdm user, not using system default setting method.
For example, Bill Cox Vinux Developer in Ubuntu Accessibility List suggest following change:
"All of the 30-accessibility commands apply to gdm's local copy of
settings, not default system-wide settings. I would recommend that
they be changed to system wide. I already do that in Vinux.
I prefer to set this option as a global default value. That, when
users update their system and gdm is upgraded, they still have a
talking login. The command I use is:

gconftool-2 --direct --config-source
xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool
/desktop/gnome/applications/at/screen_reader_enabled true
That should fix the problem long-term."

I make a change with ubiquity-hooks/30accessibility script with important places, and setting all GDM related accessibility settings with system vide settings in blindness profile.
Before I write this bugreport, I make my testing purpose a custom actual Lucid live CD, with containing new patched ubiquity-casper package.
I do clean installation, and after this, I do a full apt-get dist-upgrade command. I do this, because I known now happening this day a GDM upgrade, and this is ideal situation for testing.
The good results is following:
My maked patched ubiquity-casper package is working absolute safe. When the installation is finished, I restart the system. GDM is talking fine after restart. I using blindness profile with screen reader support during installation.
After I logged in first, I do full apt-get dist-upgrade and restart my system.
After restart is happened and GDM is present my display, accessible login feature working absolute right, Orca is wonderful talking after GDM upgrade.

Please apply my patch if this is possible, because this patch resulting longer time safe working accessible login feature with visual impaired users if using Orca Screen Reader. This change not disturb non visual imparied users, this change do 30accessibility script during installation if accessible mode is v3.

Attila

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: casper 1.229
ProcVersionSignature: Ubuntu 2.6.32-18.27-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-18-generic i686
Architecture: i386
Date: Tue Mar 30 10:27:31 2010
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100129)
ProcEnviron:
 LANGUAGE=hu_HU.UTF-8
 LANG=hu_HU.UTF-8
 SHELL=/bin/bash
SourcePackage: casper

Attila Hammer (hammera) wrote :
Luke Yelavich (themuso) wrote :

Have you tried with the latest daily CD ISO? From what I've been told, this issue should be fixed with the latest daily live CD.

Attila Hammer (hammera) wrote :

I do a second revision.
Because now the 30accessibility script now not copying the .orca folder with target system/var/lib/gdm folder, this is resulting some problems. The trivial example is following:
For example, if a blind user using a notebook, when booting blindness profile (accessibility=v3) mode, first step usual toggle the Orca keyboard layout from desktop to laptop layout with Orca preferences, changing speech rate, speech pitch, etc. This modifyed .orca setting folder is copyed correct automatical the new created user home folder in target system, but not copyed the target system /var/lib/gdm folder. For example, if the blind user using a laptop layout, but GDM orca settings is not containing this change, impossible to using general Orca operation commands (flat review command, where am I operation, etc) with GDM screen.
This second revision patch solwing this problem and prewious fixed problems with one patch.
I tested again the second revision version with a clean installation, all my doed changes works fine. This change is absolute safe, because executing only if accessibility mode is v3 (screen reader mode).

Attila

Hy Luke,
No, my custom live CD containing yesterday morning updates.
Just a moment, I downloading and look current daily live CD.
Your fix method using my first way patch system vide settings?
Or you use different method?
See my second patch revision with copying .orca folder with /var/lib/gdm
folder in target system. Or this is done now with your fix? If yes, I am
very happy.

Attila

Changed in casper (Ubuntu):
status: New → Confirmed

Luke, what version casper source package containing your fix?
I install updates now my existing system, and upgraded casper and
ubiquity-casper version with 1.230 version.
When I look casper-1.230 source code, I not see any changes with related
this problem, or I not look enough detailed.
In casper-1.230 source package, the ubiquity-hooks/30accessibility
script containing following lines, this is possible problem:
gct_gdm() {
     chroot /target sudo -u gdm gconftool-2 "$@"
}
                         gct_gdm -s -t bool
/desktop/gnome/interface/accessibility true
                         gct_gdm -s -t bool
/desktop/gnome/applications/at/visual/startup true
                         gct_gdm -s -t string
/desktop/gnome/applications/at/visual/exec orca
                         gct_gdm -s -t bool
/desktop/gnome/applications/at/screen_reader_enabled true
This part is not equals with casper-1.229 version script?

I found only following date current daily live CD in
cdimage.ubuntu.com/daily-live/current directory:
lucid-desktop-i386.iso 29-Mar-2010 08:12 677M Desktop CD for PC
(Intel x86) computers (standard download)

This is good the test?

Attila

Luke, Bill Cox wroted me an ydea with related this bug:
He's ydea need copying the live user modifyed .orca folder with target
system/etc/skel folder. I absolute accept this ydea. If you accept this,
I do thursday or friday the needed patch modification, but before I
attaching the new revision, I would like testing the modifyed version
with clean installation.
Unfortunately, I have'nt in home entire tomorrow, but next two day I
have enough time to finalize this work.
Before I beginning work, need clean me what containing with your new
told fix with wroted you afternoon.

Attila

Luke Yelavich (themuso) wrote :

I have not made any recent fixes to this at all. I am asking whether the latest daily live CD still behaves incorrectly in regards to gdm settings, and losing settings on upgrade.

Ok, I understand.
I downloaded already the 2010-03-29 daily live Cd.
Tomorrow morning I look the original installation, and see what
happening when GDM is upgraded.

Attila

Luke, yesterday Bill suggested need copying the live user .orca folder
in target system/etc/skel folder.
This is not problem, easy to do.

But, I think now original 30accessibility script is not copyed all
important another accessibility related settings to target system
/etc/skel folder if accessibility mode is screen reader mode (access=v3
parameter).
I do this change when I work the 3. revision patch version if this is
needed?
The advantage is following this change:
If a blind user using original Ubuntu version with installation with
access=v3 mode and not using special accessible prepared ubuntu based
distribution (Vinux, BeLin, etc), he get a basic accessible system if he
create a new user and logging with new account, not need hand configure
accessibility related settings with new user without speech support.

Bill, Luke, what your openion?
We do this change, or enough copy .orca folder in target system/etc/skel
folder?

Attila

Luke, Bill, I look the 2010-03-29 daily live CD with default access=v3
installation.
After installation is done, accessible login is work right after the
restart, except 30accessibility script is not copyed the .orca folder
with /var/lib/gdm folder in target system, but now this is known issue.
For example, this is resulting my hungarian language a cantonese
Orca/Espeak talking in GDM screen, so, this modification is absolute
needed (copying modifyed .orca folder with target system/var/lib/gdm
folder). :-):-)
Before I upgrading full the 2010-03-29 daily based installed system with
apt-get dist-upgrade command, I wroted two simple g-conf ask script,
with request the importanter gdm accessibility related settings with
before upgrade and after the upgrade if the restart is happened.

The script full result is following:
Before upgrade:
GDM configuration values
/desktop/gnome/interface/accessibility gconf value with gdm user
true
/desktop/gnome/applications/at/screen_reader_enabled gconf value with
gdm user
true

After full apt-get dist-upgrade command and restart:
GDM configuration values
/desktop/gnome/interface/accessibility gconf value with gdm user
true
/desktop/gnome/applications/at/screen_reader_enabled gconf value with
gdm user
true
I use general sudo -u gdm prefix when request g-conf values.

So, this settings are not losted now when GDM upgrade is happened.

Now, your openions need the system vide setting modification with GDM
configuration part, or enough to do copying .orca folder in target
system/var/lib/gdm, target system/etc/skel folder?
Because Jose Vilmare Stacio wroted a problem with Speech-dispatcher
does'nt restart when he press Ctrl+Alt+Backspace and logged in, I
suggest need insert one line with created user .bash_logout file and
/etc/gdm/PostSession/Default file:
killall speech-dispatcher
I attaching the two modifyed file, this modification fix this problem my
machine entire.

We copyed new target user created home folder with target
system/etc/skel directory if we would like provide basic accessibility
support if the admin privileged user would like creates new users with
installed system if access=v3 parameter is used with boot?

Please write answers before I begin working final patch, tomorrow I
would like do this work with final version.

Attila

Attila Hammer (hammera) wrote :

This is the modifyed .bash_logout and modifyed
/etc/gdm/PostSession/Default files.
Need put the modifyed .bash_logout file with target system new created
user home folder and target system/etc/skel folder, and need put the
Default file with target system/etc/gdm/PostSession folder to fix Jose
wroted problem.

Attila

The prewious sent two attached file insertion is needed, because:
If any user setting a keybinding with kill X Server in
/system/preferences/keyboard preference tool, and press the setted key
binding (for example the Ctrl+Alt+Backspace), after the user choosing
what username would like login and the login operation is happening,
Speech-dispatcher is not killed, so, Orca is not talking after login. In
this situation, need do manual run killall speech-dispatcher command.
When this modifications is doed the user, this is not happening, Orca is
talking fine after the login.

This problem is not happening with normal logout operation
(system/logout... menu item), independent present this two modifyed file
or not.

Attila

Attila Hammer (hammera) wrote :

I doed the final revision if not have another suggestion or request.

What changed?
Now, the patch is not used system vide GDM gconf setting method, using original method.
The patch copying modifyed .orca folder with target system/var/lib/gdm folder.
The patch do need modifications with .bash_logout and /etc/gdm/PostSession/Default file in the target system, and this will be fix Jose wroted problem if the patch is committed and he reinstall he's system.

Final, importanter new feature:
The patched ubiquityhooks/30accessibility script in target system synchronise the new created user home folder to target system/etc/skel folder. Of course, Bill request is done now (copy .orca folder in /var/lib/gdm folder and /etc/skel folder in target system, but I do more bigger step. Single .orca folder copy in the /etc/skel folder is not enough, because this step is not result basic accessibility support with new created user with single system, now, this is done.
This happening only if accessibility mode is screen reader (access=v3 parameter is used). This new feature resulting basic accessibility support for example following situation:
If the admin user creates new user with installed system, the new created user gets basic accessibility support with Screen Reader mode.
Of course, if Bill for example do special Vinux release, this change is not destroying he made changes, custom key bindings, custom Orca scripts in /etc/skel folder. I tested this situation with custom /etc/skel folder and original installation method, this feature working right both two situation.

The patch passed my all wanted tests. Upgrade is working right, GDM is talking after full apt-get dist-upgrade and restart, when I setted Ctrl+Alt+Backspace and logout, Orca is talking correct with login screen and after I logged in.

So, I think we fixed all problems we want.

Attila

Download full text (6.2 KiB)

Thanks, Attila! I'll add your patch to the buildvinuxiso script.

Bill

On Thu, Apr 1, 2010 at 12:02 PM, Attila Hammer <email address hidden> wrote:
> I doed the final revision if not have another suggestion or request.
>
> What changed?
> Now, the patch is not used system vide GDM gconf setting method, using original method.
> The patch copying modifyed .orca folder with target system/var/lib/gdm folder.
> The patch do need modifications with .bash_logout and /etc/gdm/PostSession/Default file in the target system, and this will be fix Jose wroted problem if the patch is committed and he reinstall he's system.
>
> Final, importanter new feature:
> The patched ubiquityhooks/30accessibility script in target system synchronise the new created user home folder to target system/etc/skel folder. Of course, Bill request is done now (copy .orca folder in /var/lib/gdm folder and /etc/skel folder in target system, but I do more bigger step. Single .orca folder copy in the /etc/skel folder is not enough, because this step is not result basic accessibility support with new created user with single system, now, this is done.
> This happening only if accessibility mode is screen reader (access=v3 parameter is used). This new feature resulting basic accessibility support for example following situation:
> If the admin user creates new user with installed system, the new created user gets basic accessibility support with Screen Reader mode.
> Of course, if Bill for example do special Vinux release, this change is not destroying he made changes, custom key bindings, custom Orca scripts in /etc/skel folder. I tested this situation with custom /etc/skel folder and original installation method, this feature working right both two situation.
>
> The patch passed my all wanted tests. Upgrade is working right, GDM is
> talking after full apt-get dist-upgrade and restart, when I setted
> Ctrl+Alt+Backspace and logout, Orca is talking correct with login screen
> and after I logged in.
>
> So, I think we fixed all problems we want.
>
> Attila
>
>
> ** Attachment added: "This is the final patch, if not have suggestions or instructions."
>   http://launchpadlibrarian.net/42795905/30-accessibilitypatch-3
>
> --
> [Lucid] need little modify the ubiquity-hooks/30accessibility script with gdm accessibility setting configuration part in Blindness profile
> https://bugs.launchpad.net/bugs/551515
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “casper” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: casper
>
> Dear Developers,
>
> In Lucid, some blind users lot of time wroted following problem in Ubuntu-Accessibility list:
> When GDM is upgraded an installed system, ubiquity-casper 30accessibility script preconfigured GDM accessible login settings during installation is restored with default value. This is resulting problems with next restart, because blind users impossible use accessible GDM login feature before not setting manual all important GDM related gconf settings and restart the system.
> The problem related with following:
> Now, in blindness profile, gct_gdm using following method to configu...

Read more...

tags: added: patch

Thanks for the patches, I will take a look later today.

Regarding the copying of the .orca directory to /var/lib/gdm, I have to disagree with this. You may want to have the orca settings from the live session available for login, however this is not very useful if a new user is created, and they want orca available for login. They might not like the speech rate that was set at install time, they may not like the synth chosen, etc.

Long term, we need a way to adjust these preferences for login, but I still don't think its a good idea to assume that everybody who will log into a system wants particular orca settings.

Download full text (3.5 KiB)

Now, have different situations with this step need or possible not need.
Luke, if we not copying .orca folder in /var/lib/gdm folder with target
system, if any user using for example a different voice speech person
because using different language, hear different voice the login screen
output and the first user logged in screen reader output. For example a
simple example:
When I logged in the live CD, I setted up speech values with following:
Speech system: Speech-dispatcher (this is not changed).
Speech sinthesizer: Espeak
Person: hungaryan
This is need when I would like hear hungarian translated text with
hungarian Espeak language.

This settings is absolute correct copyed with new created first user
home directory, but GDM is not sinchronised if we don't do this step.
For example, in GDM, I hear hungarian login screen with the "Cantonese"
Espeak voice, and this is very horrible. :-):-)
If I or another non english language users would like solving this
problem, need one time manualy to copy the first user .orca directory
with /var/lib/gdm folder with following commands:
sudo cp -r .orca /var/lib/gdm
sudo chown -hR gdm /var/lib/gdm
This is not problem me, but why need do this steps with a beginner
Ubuntu blind user for example he possible absolute not known Terminal
commands, absolute not known where stored the GDM home directory?
So, I think this is absolute need if we want solwing with non english
language specific talking problems with an automated way in GDM
accessible login feature, because this is easy and done now.

The .orca copy in target system/etc/skel folder is a different situation.
For example, I think absolute need provide a basic accessibility support
with future created users in target system if the system is installed
with access=v3 option. But, need copy the .orca folder with target
system/etc/skel folder or not need copying it with normal Ubuntu system?
This is an optional choice and absolute need you choice. The advantage
of the copying is a following trivial example:
If a notebook blind user using laptop key binding with the live CD, not
need always setting all settings if he created a new users. But, I
understand, what happen if a new user not like the live CD setted speech
rates, speech pitches?
This is difficulter choice.
Now, Bill and Me working with a pre setted .orca folder in live
CD/etc/skel folder, because we already setting important orca default
and optional important settings (Firefox Orca structural navigation
commands, custom orca scripts, optional key bindings, etc. and we want
this settings is already setted with new created users home directory.
Vinux and BeLin using this mehanishm and the users like this method
since two years. The little problem of we choosed method is of course
the laptop keyboard layout is not setted correct (we using default
Desktop layout), but now the patch fix this if need.
In longer period, I think the best way choose is the maximum possible
integration. This is resulting longer work for example the next or
next+1 Ubuntu release development, but I would like help and I absolute
sure Bill would like help same.
For example, now we not setting up ex...

Read more...

Luke Yelavich (themuso) wrote :

Alright, I'll get this in post beta 2, but longer term, we need to have language detection for that stuff and have preferencres to set the gdm settings.

Luke, thank you very mutch. Longer time, you are absolute right. If we
using now this patched method in Lucid, not producing problems.

Very interesting, GDM language is right (for example my system this is
hungarian.
You would like do your suggested fix with next Ubuntu developing cicle
(10.10)?
How can I help you in future? I would like help if my knowledges is
enough to do suggested fixes and testing.
In future, not only following the matter with not correct detected the
default language speech in Espeak?
Now, a clean hungarian Lucid installation the
/usr/share/espeak-data/voices/default file (the default voice file) is
following:
name default
language en
gender male
The correct is following:
name default
language hu
gender male

If not have preconfigured Orca settings, Orca I think using default
voice file if the synthesizer is Espeak.
What happen if in future we editing this default file with
30accessibility script (change the language=en line to correct actual
choosed installation language in target system)? This is possible work
in future.
But, this future fix is not solving for example the laptop keyboard
layout change problem in GDM screen if the blind user changing Orca
keyboard layout with desktop to laptop if he a notebook owner before the
installation. For example, if in future we not copying the .orca folder
in first user home directory to target system/var/lib/gdm folder,
impossible to use the user for example the Orca flat review commands,
where am I commands, because the keyboard layouts is different with
login screen and the logged user. For example in future, in GDM login
screen the keyboard layout the Orca default desktop layout because not
have .orca stored settings, the first created and logged user the
keyboard layout is laptop, because the user already changed this setting
before the installation and this change is synchronised in target system
the first user home directory. Now, this settings is equals if you apply
the patch in beta2 in Lucid.

Attila

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package casper - 1.231

---------------
casper (1.231) lucid; urgency=low

  [ Jonathan Riddell ]
  * Remove 37kubuntu_netbook_installer_link, now done with a patch in
    kdebase-workspace

  [ Colin Watson ]
  * If copying live media to RAM or disk, explicitly copy .disk, since *
    won't expand to include it (LP: #526305).
  * Cache /bin/plymouth and /sbin/usplash_write before ejecting the CD, in
    the hope that that helps with I/O errors on reboot (see LP #539027).

  [ Luke Yelavich ]
  * ubiquity-hooks/30accessibility: Copy the orca settings directory to the
    gdm home directory, to allow for preferred orca settings to be used in
    gdm (LP: #551515).
 -- Luke Yelavich <email address hidden> Fri, 09 Apr 2010 14:00:51 +1000

Changed in casper (Ubuntu):
status: Confirmed → Fix Released

Luke, thank you apply my patch.
But now this final applyed patch not containing some importanter
modifications with fixing some Ubuntu-accessibility list described users
wroted problems and important fix with basic accessibility if v3 mode is
selected with official 10.04 Ubuntu release:
See my comment detailed:
Following code part fixing Jose wroted problem during installation. Jose
see an accessibility login/speech-dispatcher related problem. When he
associate with Ctrl+Alt+Backspace key combination with kill X Server and
use this key combination to logout, and logging again with installed
system, Orca is not talking when he logged in because Speech-dispatcher
is not restarted, he need manual kill speech-dispatcher process.
My following code fixing this problem with insert killall
speech-dispatcher to .bash_logout file in first created new user home
directory in target system, and insert this command in target system
/etc/gdm/PostSession/Default file:
echo killall speech-dispatcher >>/target/home/$TARGET_USERNAME/.bash_logout
echo "#!/bin/sh" >/target/etc/gdm/PostSession/Default
echo killall speech-dispatcher >>/target/etc/gdm/PostSession/Default
echo "exit 0" >>/target/etc/gdm/PostSession/Default
Need put this modifyed .bash_logout file to target system/etc/skel folder.
This fix resulting absolute stable work when Ctrl+Alt+Backspace is used
and Pulseaudio running default with /user session. Now, I think Ubuntu
default running Pulseaudio with /user session.

Another now missing part is synchronise with first created user
important accessibility settings from target system user home directory
to target system/etc/skel folder.
This is need I think if access=v3 option is used, because if the first
created admin user creating another users, now the new created users not
get any accessibility support if after logged in, need configuring
manual the accessibility support.
Of course, I absolute understand if not want you apply following simple
line my patch with doing this task now, possible I choose drastical but
simple way:
                          rsync -r /target/home/$TARGET_USERNAME/
/target/etc/skel/

You have another suggestion how can synchronise in target system during
the installation with first created user important accessibility related
settings and prowide basic enabled accessibility settings if the
access=v3 option is used? We copying important configuration directoryes
after one by one with Cp commands?
I welcome do any fix, but I think this is a need feature (now missing
this) with normal Ubuntu releases and future helps the integration with
visual impaired people if not want use specialized distributions.

Attila

Changed in casper (Ubuntu):
status: Fix Released → Confirmed
Luke Yelavich (themuso) wrote :

Ok, the remaining problem in this bug is not something that should be fixed in casper, it is a speech-dispatcher bug. I have some updates I need to make to speech-dispatcher, so I can add this to the queue, which I hope to have fixes uploaded for by the end of tomorrow my time.

 affects ubuntu/speech-dispatcher
 status triaged
 assignee themuso

Thank you Luke, I accept this.
What happen with future with first created user accessibility settings
synchronisation with target system/etc/skel folder?
Please give me a correct fix method suggestion with Core developers sure
accept with this purpose with short time, because if accessible install
is happening with screen reader option (access=v3), I think this is
important in future if new created users would like get basic
accessibility support with screen reader option.
We apply accessibility settings configuration with system default
setting, or keep the now used configuration method and copying one after
one important configuration folders with target system/etc/skel folder?
What method better your openion? I would like do this fix before final
Ubuntu 10.04 version is publicated, but need testing me my fix before I
send this patch.
Now I used rsync command, because simplest do this fix with one line,
but possible this is not the best method. This method absolute work
correct with end user perspective, but possible not elegant with Core
developers perspective.

Attila

Attila Hammer (hammera) wrote :

Luke, related with accessibility settings synchronisation during
installation:
I am very sorry, but unfortunately only entire tuesday I possible work
on the related need fixes with casper ubiquity-hooks/30accessibility
script, because wednesday I not in home entire day, and if I known
right, thursday is final freeze happening.
Your openion schedule this related need doing fix with next developing
cicle in Ubuntu 10.10 development?
Or if Lucid final version is coming out, possible do this fixes because
Ubuntu Lucid is an LTS release and this bug fixes publicated for example
Ubuntu 10.04.1 maintained version?

Attila

Luke Yelavich (themuso) on 2010-04-13
affects: speech-dispatcher (Ubuntu) → gnome-orca (Ubuntu)
Changed in gnome-orca (Ubuntu):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-orca - 2.30.0-0ubuntu2

---------------
gnome-orca (2.30.0-0ubuntu2) lucid; urgency=low

  * debian/patches/08_orca_kill_speechd.patch: Rework to kill speech-dispatcher
    whenever Orca is run as the gdm user, regardless of the command-line
    arguments given. (LP: #551515)
 -- Luke Yelavich <email address hidden> Tue, 13 Apr 2010 15:17:07 +1000

Changed in gnome-orca (Ubuntu):
status: In Progress → Fix Released
Attila Hammer (hammera) wrote :

Luke, I tested your Orca fix.
Before I updated my system, I removed my doed .bash_logout and /etc/gdm/PostSession/Default file modifications.
When gnome-orca package is updated, I restart my system.
First login operation is works perfect, Orca is talking fine both GDM login screen and after login operation.
After the first login is completed, I do following simple test:
I do three time the logout and login operation with Ctrl+Alt+Backspace key. First to logout and login operation is OK, but if the next or next+1 logout operation is happening, Orca only talking GDM screen but after login operation is happening, Orca is launch, but silent. I need launch a terminal and manual run killall speech-dispatcher command to get back the speech.
Unfortunately, this is a reproducable issue my full uptodated system, you confirm this? Please try this test with Ctrl+Alt+Backspace key combination use.

I tryed again apply my prewious suggested modifications with the .bash_logout file and /etc/gdm/PostSession/Default file (insert killall speech-dispatcher line with proper place this files).
When I doed this two modifications and repeat this test, this prewious wroted problem is not happening, Orca is wonderful talking with GDM login screen and after login operation with 10 doed logout/login test with Ctrl+Alt+Backspace keycombination use.
I accept you not want apply this modification, but have you an ydea why happening this and how can possible fix this problem with another way?

Attila

Attila Hammer (hammera) on 2010-04-13
Changed in casper (Ubuntu):
status: Confirmed → New
Changed in gnome-orca (Ubuntu):
status: Fix Released → Confirmed
Luke Yelavich (themuso) wrote :

The casper part of this bug is fixed. The rest is not a casper problem, its an Orca problem.

Changed in casper (Ubuntu):
status: New → Fix Released
Luke Yelavich (themuso) wrote :

Ok I understand now, you want to make sure things get cleaned up in the case where the desktop may crash. I'll reproduce here and attempt to make a fix.

Changed in gnome-orca (Ubuntu):
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-orca - 2.30.0-0ubuntu3

---------------
gnome-orca (2.30.0-0ubuntu3) lucid; urgency=low

  * debian/patches/08_orca_kill_speechd.patch: If speech-dispatcher is running,
    forcefully kill it. Orca will reload it when needed. This is to solve the
    problem of speech-dispatcher not handling loss of connection to pulseaudio
    properly, and needs to be fixed in speech-dispatcher, however doing so
    properly will have to wait till Maverick. (LP: #551515)
 -- Luke Yelavich <email address hidden> Wed, 14 Apr 2010 14:39:15 +1000

Changed in gnome-orca (Ubuntu):
status: Triaged → Fix Released
tags: added: a11y
removed: accessibility
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers